<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Greenhouse</title>
    <link href="../../style.css" rel="stylesheet" type="text/css" media="all">
    <style type="text/css">
      body {
        max-width: 50rem;
      }
      .shelf {
        display: flex;
        justify-content: space-around;
        flex-wrap: wrap;
      }
      .shelf > iframe {
        box-shadow: 2px 2px 6px black;
        width: 250px;
        height: 250px;
      }
      .shelf > * {
        margin-bottom: 1rem;
      }
      #bodytext {
        height: 250px;
        width: 524px;
        overflow-x: hidden;
        overflow-y: scroll;
      }
      @media only screen and (hover: none) and (max-width: 43rem) {
        #bodytext {
          width: 250px;
        }
      }
    </style>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/seasonal.php'); ?>
  </head>
  <body>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/nav.php'); ?>
      <h1 style="overflow: hidden;">webgreenhouse</h1>
      <h2 id="caption">&nbsp;</h2>
      <div class="shelf">
        <iframe src="https://isopod.cool/stuff/webgarden/" scrolling="no" loading="lazy"></iframe>
        <div id="bodytext">
          <p style="margin-top: 0; margin-bottom: 0.85rem;">You've found my webgarden page! A <span title="or pot, or bonsai">webgarden</span> is a mini&#8209;webpage that other people can embed in their websites, as defined by <a href="https://missmoss.neocities.org/webgardens/tutorial/">Miss Moss</a>. Here's the code for mine:</p>
          <textarea style="width: 100%; margin: 0; box-sizing: border-box;" rows="2" readonly>&lt;iframe src="https://isopod.cool/stuff/webgarden/" style="height: 250px; width: 250px;" scrolling="no" loading="lazy"&gt;&lt;/iframe&gt;</textarea>
        </div>
        <iframe src="https://melonking.net/webgarden.html"                        scrolling="no" loading="lazy" style="border: 2px solid yellow;"></iframe>
        <iframe src="https://lu.tiny-universes.net/webgarden/webgarden.html"      scrolling="no" loading="lazy"></iframe>
        <iframe src="https://sadgrl.online/webgarden.html"                        scrolling="no" loading="lazy"></iframe>
        <iframe src="https://obspogon.neocities.org/webgarden"                    scrolling="no" loading="lazy"></iframe>
        <iframe src="https://kitecreature.net/webgarden.html"                     scrolling="no" loading="lazy"></iframe>
        <iframe src="https://pip-pepping.neocities.org/web-garden/webgarden.html" scrolling="no" loading="lazy"></iframe>
        <iframe src="https://dantescanline.com/webgarden.html"                    scrolling="no" loading="lazy"></iframe>
        <iframe src="https://missmoss.neocities.org/webgarden.html/"              scrolling="no" loading="lazy"></iframe>
        <!--iframe src="https://dokodemo.neocities.org/webgarden.html"               scrolling="no" loading="lazy"></iframe-->
        <iframe src="https://neonriser.neocities.org/webgarden.html"              scrolling="no" loading="lazy"></iframe>
      </div>
    <div id="rightsidebg" style="background-image: url(bg.png); --distancefromcenter: 10%;"></div>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/chromealert.php'); ?>
  </body>
</html>
