<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Links</title>
    <link href="../style.css" rel="stylesheet" type="text/css" media="all">
    <style>
      table { 
        width: 100%;
        border-collapse: collapse;
        margin-bottom: 1rem;

      }
      table td {
        padding: 0.3rem;
      }
      table td:first-child {
        padding-right: 1rem;
      }
      #statstable tr:nth-child(2n+1) {
        background-color: #ffffff11;
      }
      @media only screen and (hover: none) {
        td:nth-child(2) {
          margin-bottom: 1rem;
        }
        table {
          margin-top: 0 !important;
        }
      }
    </style>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/seasonal.php'); ?>
  </head>
  <body>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/nav.php'); ?>
      <h1>links</h1>
      <h2 id="caption">the sequel to google (under construction)</h2>
      <table>
        <tr>
          <td colspan="2"><h2>Contact</h2></td>
        </tr>
        <tr>
          <td><a href="mailto:webmaster@isopod.cool" rel="me">webmaster@isopod.cool</a></td>
          <td>Email</td>
        </tr>
        <tr>
          <td><a href="https://matrix.to/#/@w:isopod.zone" rel="me">@w:isopod.zone</a></td>
          <td>Matrix</td>
        </tr>
        <tr>
          <td colspan="2"><h2>Me</h2></td>
        </tr>
        <tr>
          <td><a href="https://deeptwisty.com/art/" rel="me">deeptwisty.com/art</a></td>
          <td>My art page</td>
        </tr>
        <tr>
          <td><a href="https://isopod.zone/@root" rel="me">@root@isopod.zone</a></td>
          <td>My account on my personal fediverse instance</td>
        </tr>
        <tr>
          <td><a href="https://tumblr.isopod.cool/" rel="me">@isopodhours</a></td>
          <td>My Tumblr account</td>
        </tr>
        <tr>
          <td><a href="https://deeptwisty.bandcamp.com/" rel="me">deeptwisty.bandcamp.com</a></td>
          <td>My Bandcamp page. If you want to support me, you can buy my music here.</td>
        </tr>
        <tr>
          <td><a href="https://www.youtube.com/@deeptwisty" rel="me">deep twisty</a></td>
          <td>The Youtube channel for my music</td>
        </tr>
        <tr>
          <td><a href="https://www.youtube.com/@isopodgaming" rel="me">Willem</a></td>
          <td>My Youtube channel for other stuff</td>
        </tr>
        <tr>
          <td><a href="https://www.twitch.tv/deeptwistygaming" rel="me">deeptwistygaming</a></td>
          <td>My Twitch channel</td>
        </tr>
        <tr>
          <td><a href="https://deeptwisty.itch.io/" rel="me">deeptwisty.itch.io</a></td>
          <td>My itch.io page</td>
        </tr>
        <tr>
          <td colspan="2"><h2>Services</h2></td>
        </tr>
        <tr>
          <td><a href="https://isopod.zone/" rel="me">isopod.zone</a></td>
          <td>My personal fediverse instance. Open for registrations, if I know you.</td>
        </tr>
        <tr>
          <td></td>
          <td>There's also a Matrix server on this domain. Same deal, feel free to request an account.</td>
        </tr>
        <tr>
          <td><a href="https://search.isopod.cool/" rel="me">search.isopod.cool</a></td>
          <td>My personal SearXNG instance. Feel free to use it.</td>
        </tr>
        <tr>
          <td><a href="https://rss-bridge.isopod.cool/" rel="me">rss-bridge.isopod.cool</a></td>
          <td>An rss-bridge instance. Feel free to use this too.</td>
        </tr>
        <tr>
          <td><a href="https://git.isopod.cool/" rel="me">git.isopod.cool</a></td>
          <td>A Forgejo instance with the source code to this website.</td>
        </tr>
        <tr>
          <td colspan="2">
            <h2>Others</h2>
            <h5>Cool [websites,people,etc]</h5>
          </td>
        </tr>
        <tr>
          <td colspan="2">
            <div class="buttons">
              <a href="https://seaslug.neocities.org/"><img src="buttons/seaslug.png" alt="Sea slug on the net!"></a>
              <a href="https://onlysans.neocities.org/"><img src="buttons/onlysans.png" alt="Only Sans"></a>
              <a href="https://kalechips.net/"><img src="buttons/kalechips.png" alt="Kalechips"></a>
              <a href="https://morrysillusion.net/"><img src="buttons/morrysillusion.png" alt="Morry's Illusion"></a>
              <a href="https://josef.neocities.org/"><img src="buttons/josef.gif" alt="Josef"></a>
              <a href="https://the64thsanctum.net/"><img src="buttons/64thsanctum.gif" alt="64th Sanctum"></a>
              <a href="https://sadgrl.online/"><img src="buttons/sadgrl.gif" alt="Sadgrl"></a>
              <a href="https://icg.neocities.org/"><img src="buttons/Icelog.gif" alt="Iceologist"></a>
              <a href="https://robophobia.neocities.org/"><img src="buttons/robophobia.png" alt="Robophobia"></a>
              <a href="https://forum.melonland.net/"><img src="buttons/melonland-forum.gif" alt="Melonland Forum"></a>
              <a href="https://sizeof.cat/"><img src="buttons/sizeofcat.png" alt="Size of Cat"></a>
            </div>
          </td>
        </tr>
        <tr>
          <td colspan="2"><h2>Utility</h2></td>
        </tr>
        <tr>
          <td><a href="https://easyussr.neocities.org/torrenting.html">Easy USSR</a></td>
          <td>A comprehensive beginner's guide to <span class="serif">Legally Acquiring Media</span></td>
        </tr>
        <tr>
          <td><a href="https://12ft.io/">12ft.io</a></td>
          <td>Show me a 10ft paywall, I'll show you a 12ft ladder.</td>
        </tr>
        <tr>
          <td><a href="https://landchad.net/">LandChad.net</a></td>
          <td>A collection of tutorials for setting up various self-hosted services.</td>
        </tr>
        <tr>
            <td><a href="https://3ds.hacks.guide/">3DS Hacks Guide</a></td>
            <td>A comprehensive guide for modding 2ds and 3ds consoles. I know it's legit because I used it on mine.</td>
        </tr>
        <tr>
            <td><a href="https://hshop.erista.me/">hShop</a></td>
            <td>A repository of software for your freshly hacked 3ds</td>
        </tr>
        <tr>
            <td><a href="https://switching.software/">switching.software</a></td>
            <td>A curated list of alternatives to popular software and services from companies like Google and Amazon.</td>
        </tr>
        <tr>
            <td><a href="https://github.com/awesome-selfhosted/awesome-selfhosted">Awesome Selfhosted</a></td>
            <td>A comprehensive list of self-hosted alternatives to various software.</td>
        </tr>
        <tr>
            <td><a href="https://newpipe.net/">Newpipe</a> & <a href="https://invidious.io/">Invidious</a></td>
            <td>Better YouTube frontends for Android and the browser respectively.</td>
        </tr>
        <tr>
          <td><a href="https://hypem.com/merch-table">Hype Machine Merch Table</a></td>
          <td>Scans a Spotify playlist and links the Bandcamp page of any artist in it who has one.</td>
        </tr>
        <tr>
          <td><a href="https://www.darkpattern.games/">Dark Pattern Games</a></td>
          <td>A database of mobile games that flags them for predatory design patterns.</td>
        </tr>
        <tr>
            <td><a href="https://regexr.com/">RegExr</a></td>
            <td>A website to test regular expressions for you</td>
        </tr>
        <tr>
          <td><a href="https://jsrn.net/howoldisit/">How old is it?</a></td>
          <td>For when your prospective employer asks for 10 years of <?php
            $boogeraids = array(
              '.NET Core',
              'AdonisJs',
              'Apache Airflow',
              'Angular',
              'Aurelia',
              'Azure Purview',
              'Azure Synapse Analytics',
              'Babel',
              'Bootstrap 3',
              'Bootstrap 4',
              'Bootstrap 5',
              'Bulma',
              'Caddy',
              'ClickHouse',
              'CockroachDB',
              'Concourse',
              'Crystal',
              'Deno',
              'Docker',
              'Dronecode',
              'Ecto',
              'Electron',
              'FastAPI',
              'Fastify',
              'Flutter',
              'fsl',
              'Gatsby',
              'Ghost',
              'Godot',
              'Grafana',
              'GraphQL',
              'Gulp',
              'Apache Hive',
              'Hugo',
              'Hyperledger',
              'IBM MQ',
              'Inferno JS',
              'Infinidash',
              'InfluxDB',
              'Ionic',
              'Istio',
              'jssm',
              'Keras',
              'Kubernetes',
              'Laravel 4',
              'Laravel 5',
              'Materialize CSS',
              'Metal',
              'Micronaut',
              'Mithril.js',
              'NativeScript',
              'Nerves',
              'NestJS',
              'Nette',
              'NextJS',
              'Nuxt',
              'Odin',
              'Parcel',
              'Phalcon',
              'Phoenix',
              'PHPStan',
              'Podman',
              'Polymer',
              'Power BI',
              'Power BI Embedded',
              'Power Query M Formula Language',
              'Preact',
              'Prometheus',
              'PX4 Firmware',
              'PyTorch',
              'Quasar',
              'Raku',
              'Ramda',
              'React',
              'React Native',
              'ReasonML',
              'Redux',
              'Rollup',
              'ROS 2',
              'RxJs',
              'scikit-image',
              'Serverless Framework',
              'Shiny',
              'Snowpack',
              'Solidity',
              'Apache Spark',
              'Spock Framework',
              'Svelte',
              'Swift',
              'Tailwind',
              'Telegraf',
              'TensorFlow',
              'Terraform',
              'TOML',
              'Traefik',
              'Umbrella JS',
              'VSCode',
              'Vue',
              'Vulkan',
              'WebAssembly',
              'Windows 10',
              'Windows 11',
              'WSL',
              'Xamarin Forms',
              'Yarn',
              'Zend Framework 3',
              'Zig'
            );
            echo $boogeraids[array_rand($boogeraids)];
          ?> experience.</td>
        </tr>
        <tr>
          <td><a href="https://github.com/viraptor/reverse-interview">Reverse Interview</a></td>
          <td>A list of questions to ask at (tech) job interviews</td>
        </tr>
        <tr>
          <td><a href="https://based.cooking/">based.cooking</a></td>
          <td>A recipe website without all the typical recipe website garbage.</td>
        </tr>
        <tr>
          <td><a href="https://8mb.video/">8mbvideo</a></td>
          <td>Compresses any video file just enough to comply with Discord's filesize limits.</td>
        </tr>
        <tr>
          <td><a href="https://jort.link/">jort.link</a></td>
          <td>A shield to prevent accidental DDOSing of links posted to the fediverse</td>
        <tr>
          <td colspan="2"><h2>Fun</h2></td>
        </tr>
        <tr>
            <td><a href="https://corru.observer">corru.observer</a></td>
            <td>Some kind of browser-based RPG, or something. It's real good, play it</td>
        </tr>
        <tr>
            <td><a href="https://cooltext.com/Logo-Design-Burning">Burning Text Generator</a></td>
            <td>Does <img src="https://isopod.cool/old/2/images/this_burning.gif" style="height: 3ch;" alt="this (the text is on fire)"></td>
        </tr>
        <tr>
            <td><a href="https://fsymbols.com/generators/zalgo/">Zalgo Text Generator</a></td>
            <td>Does t̵̝̻̘͒̓̈́h̵͇͙͔́̾i̵͎̪̞͊́̾s̵̫̼̀̾</td>
        </tr>
        <tr>
            <td><a href="https://crouton.net">crouton.net</a></td>
            <td>crouton</td>
        </tr>
        <tr>
            <td><a href="https://cornonthec.observer/">cornonthec.observer/</a></td>
            <td>corn on the cob server</td>
        </tr>
        <tr>
            <td><a href="https://draculadaily.substack.com/about">Dracula Daily</a></td>
            <td>Read Bram Stoker's <i>Dracula</i> in real time, in your email inbox.</td>
        </tr>
        <tr>
            <td><a href="https://wobble.town/">Wobble Town</a></td>
            <td>A cute little virtual pet!</td>
        </tr>
        <tr>
            <td><a href="https://www.allaboutbirds.org/cams/">Cornell Lab Bird Cams</a></td>
            <td>Live bird cams!</td>
        </tr>
        <tr>
          <td><a href="https://www.1001freefonts.com/snailets.font">Snailets font</a></td>
          <td>The best font</td>
        </tr>
        <tr>
          <td><a href="https://imgflip-is-dead.crabdance.com/">Imgflip is DEAD</a></td>
          <td>A clone of Imgflip's meme generator, "because watermarks and tracking suck".</td>
        </tr>
        <tr>
          <td><a href="https://www.inaturalist.org/">iNaturalist</a></td>
          <td>An extensive crowdsourced library of high-quality photos of over 400,000 species of plants and animals</td>
        </tr>
        <tr>
          <td><a href="https://alula.github.io/SpaceCadetPinball">Space Cadet Pinball</a></td>
          <td>Windows XP Space Cadet Pinball, reverse engineered to run in your browser!</td>
        </tr>
        <tr>
          <td><a href="https://trilobites.info/">trilobites.info</a></td>
          <td>Trilobite knowledge!</td>
        </tr>
        <tr>
          <td colspan="2"><h2>More stuff</h2></td>
        </tr>
        <tr>
          <td><a href="https://links.yesterweb.org/">Yesterlinks</a> [<a href="https://links.yesterweb.org/surf.php">Random</a>]</td>
          <td>A "user-curated directory of interesting off-the-beaten path websites", with over 500 links and counting!</td>
        </tr>
        <tr>
          <td><a href="https://search.marginalia.nu/">Marginalia Search</a> [<a href="https://search.marginalia.nu/explore/random">Random</a>]</td>
          <td>A custom-built search engine for small, non-commercial websites.</td>
        </tr>
        <tr>
          <td><a href="https://vincentsdungeon.com/links.html">Vincent's Dungeon/links</a></td>
          <td>A bigger link directory than mine brimming with educational, web, and TTRPG resources, curated by Vincent.</td>
        </tr>
      </table>
    <div id="rightsidebg" style="background-image: url(bg.png); --distancefromcenter: -10%;" title="Pictured: My internet connection"></div>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/chromealert.php'); ?>
  </body>
</html>
