<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Items</title>
    <link href="../style.css" rel="stylesheet" type="text/css" media="all">
    <style>
        td {
            padding: .5rem;
        }
        td:last-child: {
            padding-left: .4rem;
        }
        .indent-1 td:first-child {
            border-left: 3px solid white;
        }
        .indent-1 td {
            padding-left: 2rem;
        }
        @media only screen and (hover: none) {
            .indent-1 td {
                border-left: 3px solid white;
            }
            td:first-child {
                font-weight: bold;
            }
        }
    </style>
  </head>
  <body>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/nav.php'); ?>
    <h1>stuff</h1>
    <h2 id="caption">things too!</h2>
    <table>
        <tr>
          <td colspan="2"><h2>Utilities</h2></td>
        </tr>
        <tr>
            <td><a href="rssfilter.php">rssfilter.php</a></td>
            <td>Basic RSS and Atom feed filtering utility. Accepts regex.</td>
        </tr>
        <tr>
            <td><a href="firefoxrss/feed.php">firefoxrss</a></td>
            <td>RSS bridge for Firefox release notes.</td>
        </tr>
        <tr>
          <td colspan="2"><h2>Downloads</h2></td>
        </tr>
        <tr>
            <td nowrap><a href="EnchantedToolsPack_v1.zip">EnchantedToolsPack_v1.zip</a></td>
            <td>Custom resourcepack for Minecraft that uses functionality from <a href="https://optifine.net/home">Optifine</a> to add custom textures for enchanted tools and weapons. Confirmed working with 1.19.</td>
        </tr>
        <tr>
            <td>webpkiller/</td>
            <td>Various scripts intended for use as the default program for opening .webp files. They automatically replace the .webp image with a .png one and open that instead. Incompatible with animated .webp images.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller.sh">webpkiller.sh</a></td>
            <td>Bash script for Linux. Only works on .webp files. Requires <a href="https://imagemagick.org/">ImageMagick</a> to be installed.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller.cmd">webpkiller.cmd</a></td>
            <td>Batch script for Windows. Only works on .webp files. Requires <a href="https://imagemagick.org/">ImageMagick</a>. Replaces <i>every</i> instance of ".webp" in the filepath because Windows batch language is hard.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller.py">webpkiller.py</a></td>
            <td>Platform-agnostic Python script. Requires <a href="https://www.python.org/">Python 3</a> and the <a href="https://python-pillow.org/">pillow</a> library to be installed, supports anything they do.</td>
        </tr>
        <tr class="indent-1">
            <td><a href="webpkiller/webpkiller_win.zip">webpkiller_win.zip</a></td>
            <td>webpkiller.py, but compiled for Windows with <a href="https://pypi.org/project/pyinstaller/">pyinstaller</a>.</td>
        </tr>
        <tr>
            <td><a href="dirtomp3.sh">dirtomp3.sh</a></td>
            <td>Bash script for Linux to copy my entire music library including album covers, using ffmpeg to convert all the audio to mp3s.</td>
        </tr>
        <tr>
          <td colspan="2"><h2>Other</h2></td>
        </tr>
        <tr>
            <td><a href="neon_boost_times.html">neon_boost_times.html</a></td>
            <td>A table of my level times in the game Neon Boost, in case you care.</td>
        </tr>
        <tr>
            <td><a href="https://userstyles.world/style/5238/status-cafe-latte">userstyles.world/style/5238<br/>/status-cafe-latte</a></td>
            <td>Stylus theme I made for <a href="https://status.cafe/">status.cafe</a>, the site behind the little status widget on my blog, and the attached forum.</td>
        </tr>
    </table>
    <div id="rightsidebg" style="background-image: url(bg.png); --distancefromcenter: -15%;" title="Pictured: The level of code quality you're getting if you use this stuff"></div>
    <?php include($_SERVER['DOCUMENT_ROOT'] . '/chromealert.php'); ?>
  </body>
</html>
